Bug 240869 - system-config-securitylevel doesn't save other ports
system-config-securitylevel doesn't save other ports
Status: CLOSED DUPLICATE of bug 240791
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-22 11:17 EDT by Jeremy West
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 13:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy West 2007-05-22 11:17:57 EDT
Description of problem:
system-config-securitylevel doesn't save "other ports" when they are added.

Version-Release number of selected component (if applicable):
6.93

How reproducible:
Everytime

Steps to Reproduce:
1. Run "system-config-securitylevel"
2. Select "Other ports" and add an additional port number
3. Click "apply" and then "ok"
4. Run "iptables -L" and see that the new port isn't there ?????
5. Run "system-config-securitylevel" and see that the port is now missing
  
Actual results:
The additional ports you add are never added to the current or future firewall
settings.

Expected results:
port(s) should be added to the currently iptables policy and also permanently
added to /etc/sysconfig/iptables


Additional info:
Comment 1 Ryan Helinski 2007-06-16 21:11:21 EDT
I'm having the same problem, and then it started not even asking if it was OK
(yes or no). So "Apply" has no effect, and "Okay" just closes the program. I'm
using the latest FC7.
Comment 2 Felix 2007-06-23 22:08:09 EDT
Clumsy workaround: If one makes changes in "trusted services" (in addition to
making changes in "other ports") and click "Apply", the program saves both.
Then, of course, you can undo the change in "trusted services".

My version is Fedora 7 on x86_64; but I don't think this bug is
architecture-specific.
Comment 3 Ryan Helinski 2007-06-26 07:30:37 EDT
That did seem to work, but my system is a server already behind a firewall, and
because I can't get NFSv4 working (know of a good tutorial?), I'm using NFS
which likes to grab ports at random. Anyway, selecting "Disable" under Firewall
still has no effect.
Comment 4 Carl 2007-07-10 03:23:00 EDT
I have the exact save issue with version system-config-securitylevel-1.7.0-1.fc7.
When I add ports to other ports that settings is not saved. Only when I change
something in the "Trusted Services" aswell does the tool save my other ports
settings aswell.

I am using 2.6.21-1.3228.fc7 (32bit) so it does not seem to be architechture
specific like Felix assumed (sorry)

Does anyone have another suggestion?

Thanks
Comment 6 Thomas Woerner 2007-07-17 13:12:06 EDT

*** This bug has been marked as a duplicate of 240791 ***

Note You need to log in before you can comment on or make changes to this bug.